import request from '@/utils/request'

// 查询微信用户积分流水列表
export function listLog(query) {
  return request({
    url: '/system/integralLog/list',
    method: 'get',
    params: query
  })
}

// 查询微信用户积分流水详细
export function getLog(id) {
  return request({
    url: '/system/integralLog/' + id,
    method: 'get'
  })
}

// 新增微信用户积分流水
export function addLog(data) {
  return request({
    url: '/system/integralLog',
    method: 'post',
    data: data
  })
}

// 修改微信用户积分流水
export function updateLog(data) {
  return request({
    url: '/system/integralLog',
    method: 'put',
    data: data
  })
}

// 删除微信用户积分流水
export function delLog(id) {
  return request({
    url: '/system/integralLog/' + id,
    method: 'delete'
  })
}
